# UniTAP.dev.ports.rx

class RX(UniTAP.dev.ports.port.TSIPort):

Class describe base capabilities of Sink (RX - receiver). This functionality is used by child classes `DPRX` and `HDRX`. You cannot use a class `RX` object directly.

RX( port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO, memory_manager: UniTAP.dev.modules.memory_manager.memory_manager.MemoryManager, capturer: UniTAP.dev.modules.capturer.capture.Capturer)
audio_capturer: UniTAP.dev.ports.modules.capturer.audio.audio_capturer.AudioCapturer

Should be used to control `AudioCapturer` on Sink (RX - receiver) role.

###### Returns:

> object of `AudioCapturer` type.